<!-- insert custom Google fonts -->
<?php 
	if ( function_exists( 'kanso_sd_get_option_tree' ) ) {
		if ( is_string( kanso_sd_get_option_tree( 'font_header' ) )) {
			$kanso_sd_fontheader = kanso_sd_get_option_tree( 'font_header' );
			$kanso_sd_fontheaderstr = str_replace(' ', '+', $kanso_sd_fontheader);
			$kanso_sd_fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$kanso_sd_fontheaderstr.':300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $kanso_sd_fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Lato:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese' rel='stylesheet' type='text/css'>";
		} 
	} 

	if ( function_exists( 'kanso_sd_get_option_tree' ) ) {
		if ( is_string( kanso_sd_get_option_tree( 'font_body' ) )) {
			$kanso_sd_fontbody = kanso_sd_get_option_tree( 'font_body' );
			$kanso_sd_fontbodystr = str_replace(' ', '+', $kanso_sd_fontbody);
			$kanso_sd_fontbodynew = '<link href="http://fonts.googleapis.com/css?family='.$kanso_sd_fontbodystr.':300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $kanso_sd_fontbodynew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese' rel='stylesheet' type='text/css'>";
		} 
	}
	
	if ( function_exists( 'kanso_sd_get_option_tree' ) ) {
		if ( is_string( kanso_sd_get_option_tree( 'font_menu' ) )) {
			$kanso_sd_fontmenu = kanso_sd_get_option_tree( 'font_menu' );
			$kanso_sd_fontmenustr = str_replace(' ', '+', $kanso_sd_fontmenu);
			$kanso_sd_fontmenunew = '<link href="http://fonts.googleapis.com/css?family='.$kanso_sd_fontmenustr.':300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $kanso_sd_fontmenunew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Lato:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese' rel='stylesheet' type='text/css'>";
		} 
	} 
	
	if ( function_exists( 'kanso_sd_get_option_tree' ) ) {
		if ( is_string( kanso_sd_get_option_tree( 'font_excerpt' ) )) {
			$kanso_sd_fontheader = kanso_sd_get_option_tree( 'font_excerpt' );
			$kanso_sd_fontheaderstr = str_replace(' ', '+', $kanso_sd_fontheader);
			$kanso_sd_fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$kanso_sd_fontheaderstr.':300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $kanso_sd_fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Noto+Serif:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese' rel='stylesheet' type='text/css'>";
		} 
	} 
?>


<!-- function to convert colours from hex into rgb -->
<?php
function kanso_sd_hex2rgb($kanso_sd_hex) {
   $kanso_sd_hex = str_replace("#", "", $kanso_sd_hex);
 
   if(strlen($kanso_sd_hex) == 3) {
      $kanso_sd_r = hexdec(substr($kanso_sd_hex,0,1).substr($kanso_sd_hex,0,1));
      $kanso_sd_g = hexdec(substr($kanso_sd_hex,1,1).substr($kanso_sd_hex,1,1));
      $kanso_sd_b = hexdec(substr($kanso_sd_hex,2,1).substr($kanso_sd_hex,2,1));
   } else {
      $kanso_sd_r = hexdec(substr($kanso_sd_hex,0,2));
      $kanso_sd_g = hexdec(substr($kanso_sd_hex,2,2));
      $kanso_sd_b = hexdec(substr($kanso_sd_hex,4,2));
   }
   $kanso_sd_rgb = array($kanso_sd_r, $kanso_sd_g, $kanso_sd_b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $kanso_sd_rgb; // returns an array with the rgb values
}
?>


<!-- Count the number of active widgets -->
<?php
function kanso_sd_count_widgets($kanso_sd_loc) {
	$kanso_sd_sidebar_widgets = wp_get_sidebars_widgets();
	$kanso_sd_num_widgets = 0;
	foreach ( (array) $kanso_sd_sidebar_widgets as $kanso_sd_k => $kanso_sd_v ) {
		if ($kanso_sd_loc != $kanso_sd_k)
			continue;
		if ( is_array($kanso_sd_v))
			$kanso_sd_num_widgets = $kanso_sd_num_widgets + count($kanso_sd_v);
	}
	return $kanso_sd_num_widgets;
}
$kanso_sd_count2 = kanso_sd_count_widgets('sidebar-2');
if($kanso_sd_count2 != 0) { $kanso_sd_percentage2 = ( 100 - $kanso_sd_count2 * 10 ) / $kanso_sd_count2; }
$kanso_sd_count3 = kanso_sd_count_widgets('sidebar-3');
if($kanso_sd_count3 >1) { $kanso_sd_percentage3 = ( 100 - $kanso_sd_count3 * 10 ) / $kanso_sd_count3; } elseif ($kanso_sd_count3 == 1) { $kanso_sd_percentage3 = 100; }
$kanso_sd_count4 = kanso_sd_count_widgets('sidebar-4');
if($kanso_sd_count4 >1) { $kanso_sd_percentage4 = ( 100 - $kanso_sd_count4 * 10 ) / $kanso_sd_count4; } elseif ($kanso_sd_count4 == 1) { $kanso_sd_percentage4 = 100; }
?>


<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($kanso_sd_percentage2)) { echo $kanso_sd_percentage2."%;"; } ?> } </style>
<![endif]-->


<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($kanso_sd_percentage2)) { echo $kanso_sd_percentage2."%;"; } ?> } </style>
<![endif]-->


<!-- Google Analytics code -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php if ( function_exists( 'kanso_sd_get_option_tree' ) )  { echo kanso_sd_get_option_tree( 'google_analytics' ); } ?>']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>


<!-- Resize image background -->
<?php if (function_exists( 'kanso_sd_get_option_tree' ) &&  kanso_sd_get_option_tree('background' ) == "Stretched image") { ?>
<script type="text/javascript">
var $resizebck = jQuery.noConflict();
resizeBG = function() {
    var image = $resizebck('#page-background img');
    image.removeAttr("width"); 
    image.removeAttr("height");
    var imageWidth = image.attr('width') || image.width();
    var imageHeight = image.attr('height') || image.height();
    var ratio = imageHeight / imageWidth;
    
    var h = $resizebck(window).height();
    var w = $resizebck(window).width();
    
    $resizebck('#page-background img, #page-background').css('width', w);
    $resizebck('#page-background img, #page-background').css('height', w * ratio);
	$resizebck('#page-background').css('visibility', 'visible');
}

$resizebck(window).load( resizeBG );
$resizebck(window).resize( resizeBG );
</script>
<?php } ?>


<!-- Scroll to top button -->
<?php if ( function_exists( 'kanso_sd_get_option_tree' )  && kanso_sd_get_option_tree( 'display_totop' ) == "Yes" ) { ?>
<script type='text/javascript'> 
var totop = <?php echo '"'.__('Scroll Back to Top', 'satori').'"'; ?>;
var scrolltotop={
	//startline: Integer. Number of pixels from top of doc scrollbar is scrolled before showing control
	//scrollto: Keyword (Integer, or "Scroll_to_Element_ID"). How far to scroll document up when control is clicked on (0=top).
	setting: {startline:100, scrollto: 0, scrollduration:1000, fadeduration:[500, 100]},
	controlHTML: '<div class="scrolltop"><i class="fa fa-angle-up"></i></div>', //HTML for control, which is auto wrapped in DIV w/ ID="topcontrol"
	controlattrs: {offsetx:63, offsety:10}, //offset of control relative to right/ bottom of window corner
	anchorkeyword: '#top', //Enter href value of HTML anchors on the page that should also act as "Scroll Up" links

	state: {isvisible:false, shouldvisible:false},

	scrollup:function(){
		if (!this.cssfixedsupport) //if control is positioned using JavaScript
			this.$control.css({opacity:0}) //hide control immediately after clicking it
		var dest=isNaN(this.setting.scrollto)? this.setting.scrollto : parseInt(this.setting.scrollto)
		if (typeof dest=="string" && jQuery('#'+dest).length==1) //check element set by string exists
			dest=jQuery('#'+dest).offset().top
		else
			dest=0
		this.$body.animate({scrollTop: dest}, this.setting.scrollduration);
	},

	keepfixed:function(){
		var $window=jQuery(window)
		var controlx=$window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx
		var controly=$window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety
		this.$control.css({left:controlx+'px', top:controly+'px'})
	},

	togglecontrol:function(){
		var scrolltop=jQuery(window).scrollTop()
		if (!this.cssfixedsupport)
			this.keepfixed()
		this.state.shouldvisible=(scrolltop>=this.setting.startline)? true : false
		if (this.state.shouldvisible && !this.state.isvisible){
			this.$control.stop().animate({opacity:1}, this.setting.fadeduration[0])
			this.state.isvisible=true
		}
		else if (this.state.shouldvisible==false && this.state.isvisible){
			this.$control.stop().animate({opacity:0}, this.setting.fadeduration[1])
			this.state.isvisible=false
		}
	},
	
	init:function(){
		jQuery(document).ready(function($){
			var mainobj=scrolltotop
			var iebrws=document.all
			mainobj.cssfixedsupport=!iebrws || iebrws && document.compatMode=="CSS1Compat" && window.XMLHttpRequest //not IE or IE7+ browsers in standards mode
			mainobj.$body=(window.opera)? (document.compatMode=="CSS1Compat"? $('html') : $('body')) : $('html,body')
			mainobj.$control=$('<div id="topcontrol" style="z-index:100">'+mainobj.controlHTML+'</div>')
				.css({position:mainobj.cssfixedsupport? 'fixed' : 'absolute', bottom:mainobj.controlattrs.offsety, right:mainobj.controlattrs.offsetx, opacity:0, cursor:'pointer'})
				.attr({title:totop})
				.click(function(){mainobj.scrollup(); return false})
				.appendTo('body')
			if (document.all && !window.XMLHttpRequest && mainobj.$control.text()!='') //loose check for IE6 and below, plus whether control contains any text
				mainobj.$control.css({width:mainobj.$control.width()}) //IE6- seems to require an explicit width on a DIV containing text
			mainobj.togglecontrol()
			$('a[href="' + mainobj.anchorkeyword +'"]').click(function(){
				mainobj.scrollup()
				return false
			})
			$(window).bind('scroll resize', function(e){
				mainobj.togglecontrol()
			})
		})
	}
}

scrolltotop.init()
</script>
<?php } ?>


<!-- Search box -->
<script type="text/javascript">
var $searchbx = jQuery.noConflict();
$searchbx(function() { 
	var searchbox = "<?php echo __('Find..', 'satori'); ?>";
    $searchbx('#s').focus(function() {
    	$searchbx('#s').attr("value","");
	});
	$searchbx('#s').blur(function() {
		if ($searchbx('#s').attr("value")==null || $searchbx('#s').attr("value")=="") {
        	$searchbx('#s').attr("value",searchbox);
		}
	});
});
</script>


<!-- Submenu animation -->
<script type="text/javascript">
var $submenu = jQuery.noConflict();
$submenu(function(){	
	$submenu('nav ul li').hover(function () {
		$submenu('> ul', this).show(10);
	}, function () {
		$submenu('ul', this).hide(10);
	});
});
</script>


<!-- Divider width -->
<?php if ( is_page_template('page_full-width.php') || is_page_template('page_portfolio.php')) { ?>
<script type="text/javascript">
var $divider = jQuery.noConflict();
var Divider = function() {
	var pagewidth = $divider('#main-container').width();
	var leftmargins = (pagewidth - $divider('.post-content').width())/2;
	var leftmargin = 0-leftmargins;
	$divider('.su-divider').css({"width":pagewidth,"position":"absolute","margin-left":leftmargin});
}
$divider(document).ready( function () {
	Divider();
});
$divider(window).resize( function () {
	Divider();	
});
</script>
<?php } ?>


<!-- Responsive videos -->
<script type="text/javascript">
var $fv = jQuery.noConflict();
  $fv(document).ready(function(){
    // Target your .container, .wrapper, .post, etc.
    $fv(".video-container").fitVids();
  });
</script>
<?php function kanso_sd_video_grabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $kanso_sd_matches ) )
	return get_the_content();
	return esc_url_raw( $kanso_sd_matches[1] );
} 
function kanso_sd_getvideo( $kanso_sd_media_url, $kanso_sd_width, $kanso_sd_height ) {
	$kanso_sd_video_url = parse_url( $kanso_sd_media_url );
	// Youtube video
	if ( $kanso_sd_video_url['host'] == 'youtube.com' || $kanso_sd_video_url['host'] == 'www.youtube.com' ) {
		parse_str( $kanso_sd_video_url['query'], $kanso_sd_youtube );
		$kanso_sd_id = uniqid( '', false );
		$kanso_sd_return = '<iframe width="' . $kanso_sd_width . '" height="' . $kanso_sd_height . '" src="http://www.youtube.com/embed/' . $kanso_sd_youtube['v'] . '?version=3&controls=0&theme=light&rel=0&showinfo=0"  allowfullscreen="true"></iframe>
		';
		$kanso_sd_thumb = $kanso_sd_youtube['v'];
	}
	// Vimeo video
	elseif ( $kanso_sd_video_url['host'] == 'vimeo.com' || $kanso_sd_video_url['host'] == 'www.vimeo.com' ) {
		$kanso_sd_vimeo_id = mb_substr( $kanso_sd_video_url['path'], 1 );
		$kanso_sd_return = '<iframe src="http://player.vimeo.com/video/' . $kanso_sd_vimeo_id . '?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="' . $kanso_sd_width . '" height="' . $kanso_sd_height . '" ></iframe>';
		$kanso_sd_thumb = $kanso_sd_vimeo_id;
	}
	if( is_single() || is_home() || is_post_type_archive('post') || is_search() ) {
	return $kanso_sd_return;
	} else {
	return $kanso_sd_thumb;
	}
} ?> 


<!-- Video screenshots from Vimeo -->
<script type="text/javascript">
var $vth = jQuery.noConflict();
function vimeoLoadingThumb(id){    
    var url = "http://vimeo.com/api/v2/video/" + id + ".json?callback=showThumb";
    var id_img = "#vimeo-" + id;
    var script = document.createElement( 'script' );
    script.type = 'text/javascript';
    script.src = url;

    $vth(id_img).before(script);
}
function showThumb(data){
    var id_img = "#vimeo-" + data[0].id;
    $vth(id_img).css('background-image','url("'+data[0].thumbnail_large+'")');
}
</script>


<!-- Gallery post format --> 
<script type="text/javascript">   
var $j = jQuery.noConflict();
$j(function(){ 
	$j(window).load(function() {         
		$j(".orbit-featured").orbit({
			bullets: false,
			pauseOnHover: true,
			animation: "fade",
			directionalNav: true,
			advanceSpeed: 4000,
			timer: false,
			captions: false
		});
	});
});
</script>


<!-- Portfolio item dimensions -->
<?php 
if ( function_exists( 'kanso_sd_get_option_tree' )) {
	if ( is_string( kanso_sd_get_option_tree('portfolio_per_line') ) ) {
		$kanso_sd_portfolioperline  = kanso_sd_get_option_tree('portfolio_per_line');
	} else {
		$kanso_sd_portfolioperline = 3;	
	}
}
if ( function_exists( 'kanso_sd_get_option_tree' )) {
	if ( is_string( kanso_sd_get_option_tree('portfolio_item_margin') ) ) {
		$kanso_sd_portfolioitemmargin  = kanso_sd_get_option_tree('portfolio_item_margin');
	} else {
		$kanso_sd_portfolioitemmargin = 1;	
	}
}
$kanso_sd_portfolioitemwidth = ( 100 - ( $kanso_sd_portfolioperline * 2 * ( $kanso_sd_portfolioitemmargin + 0.25 ) ) ) / $kanso_sd_portfolioperline;
$kanso_sd_portfoliomobitemwidth = 100 - 2 * $kanso_sd_portfolioitemmargin;
if ( function_exists( 'kanso_sd_get_option_tree' )) {
	if ( is_string( kanso_sd_get_option_tree('portfolio_box_height') ) ) { 
		$kanso_sd_portfolioheight = kanso_sd_get_option_tree('portfolio_box_height'); 
	} else {
		$kanso_sd_portfolioheight = $kanso_sd_portfolioitemwidth * 0.75 / 100 * 960;	
	}
}
$kanso_sd_portfolioheight = str_replace( 'px', '', $kanso_sd_portfolioheight); 
?>


<!-- Orbit slider height on browser resize -->
<script type="text/javascript">
var $orb = jQuery.noConflict();
$orb(document).ready(function () {
	$orb('#orbit-slider .orbit-featured').wrap('<div class="orbit-wrapper"></div>');
});
var OrbitSize = function () {
	var min_height = 90000;
    var image = null;
	$orbitwrapper = $orb('#orbit-slider .container_orbit .orbit-wrapper, #orbit-slider .container_orbit .orbit-featured');
	$orbitwrapper.css('width','100%');
	$orbitwrapper.css('height',<?php echo $kanso_sd_portfolioheight; ?>);
    $orb('#orbit-slider .container_orbit .orbit-featured img').each(function() {
    	var cur_height = $orb(this).height();
    	if (cur_height < min_height) {
        	min_height = cur_height;
    	}
    });
	<?php if ( !is_page_template ( 'page_portfolio.php' ) && !is_tax('tagportfolio') ) { ?>
	$orbitwrapper.css('height',min_height+'px');
	<?php } ?>
}
$orb(window).load(function () {
	OrbitSize();
});
$orb(window).resize(function () {
	OrbitSize();
});
</script>


<!-- Overlay image for posts -->
<?php if ( function_exists('kanso_sd_get_option_tree') ) { if ( kanso_sd_get_option_tree('disable_captions') == 'Show on mouse hover' ||  kanso_sd_get_option_tree('disable_captions') == '' ) { ?>
<script type="text/javascript">
var $over = jQuery.noConflict();

$over(function(){	
	$over('.format-image, .format-standard,.format-video, .format-link, .format-gallery').hover(
		function () {
			$over('.image-post-overlay', this).fadeIn(70);
		}, 
		function () {
			$over('.image-post-overlay', this).fadeOut(70);
		}
	);
});
</script>
<?php } } ?>


<!-- Form placeholders -->
<script type="text/javascript">
var $plc = jQuery.noConflict();
$plc(window).load(function() {
	$plc('#respond input#author').attr('placeholder','Name');
	$plc('#respond input#email').attr('placeholder','Email');
	$plc('#respond input#url').attr('placeholder','Website');
	$plc('#respond textarea#comment').attr('placeholder','Comment');
	$plc('.contact-form input, .contact-form textarea').each(function() {
		$plc(this).attr('placeholder',$plc(this).siblings('label').text());
	});
});
</script>


<!-- Retrieve URLs from post content -->
<?php function kanso_sd_urlgrabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $kanso_sd_matches ) )
	return get_the_content();
	return esc_url_raw( $kanso_sd_matches[1] );
} ?>


<!-- Truncate text on portfolio and blog pages -->
<script type="text/javascript">
var $tru = jQuery.noConflict();
$tru(function(){
	$tru.fn.truncate = function (options) {
		var defaults = {
			more: '...'
		};
		var options = $tru.extend(defaults, options);
		return this.each(function (num) {
			var height = parseInt($tru(this).css("height"));
			var content = $tru(this).html();
			while (this.scrollHeight > height) {
				content = content.replace(/\s+\S*$/, "");
				$tru(this).html(content + " " + options.more);
			}
		})
	}
	$tru(document).ready(function() {
		$tru(".isotope .post").truncate();
	});
});
</script>


<!-- Isotope Masonry Magic -->
<script type="text/javascript">
var $mason = jQuery.noConflict();
$mason(document).ready(function(){
	var $width = 960 * ( 2 * <?php $kanso_sd_portfolioitemmarginpc = $kanso_sd_portfolioitemmargin / 100; echo $kanso_sd_portfolioitemmarginpc; ?> + 1);
	$mason('#portfolio-list-wrapper').css('max-width',$width);
	var $container = $mason('#portfolio-list-wrapper');
	var $column = $container.width() / <?php echo $kanso_sd_portfolioperline; ?>;
	$container.isotope({
    	itemSelector: '.post',
		resizable: false,
		masonry: {
    		columnWidth: $column
  		}
    });
	// filter items when filter link is clicked
	$mason('.portfolio-filter a').click(function(){
		var selector = $mason(this).attr('data-filter');
		$container.isotope({ filter: selector });
		return false;
	}); 
});
$mason(window).load(function(){
	var $container = $mason('#portfolio-list-wrapper');
	$container.isotope('reLayout');
});
$mason(window).resize(function(){
	var $container = $mason('#portfolio-list-wrapper');
	var $column = $container.width() / <?php echo $kanso_sd_portfolioperline; ?>;
	$container.isotope({
    	itemSelector: '.post',
		masonry: {
    		columnWidth: $column
  		}
    }); 
	$container.isotope('reLayout');
});
</script>


<!-- Form field width -->
<script type="text/javascript">
var $inp = jQuery.noConflict();
var InputSize = function() {
	var commw = $inp('.container').width() * 0.66 - 100;
	var contw = $inp('.container').width() * 0.66 - 40;
	var conw = $inp('#content').width() - 20;
	$inp('.container #respond input#author, .container #respond input#email, .container #respond input#url, .container #respond textarea').css('width',commw);
	$inp('.container .contact-form div input, .container .contact-form div textarea').css('width',contw);
	$inp('.single .container #respond input#author, .single .container #respond input#email, .single .container #respond input#url, .single .container #respond textarea').css('width',conw);
}
$inp(document).ready(function(){
	InputSize();
});
$inp(window).resize(function(){
	InputSize();
});
</script>


<!-- Add classes to local and external links -->
<script type="text/javascript">
var $lnk = jQuery.noConflict();
var hostname = new RegExp(location.host);
$lnk(document).ready(function(){
	$lnk('.format-link a:not(.h4a)').each(function(){
		var url = $lnk(this).attr("href");
		// Test if current host (domain) is in it
		if(hostname.test(url)){
			// If it's local...
			$lnk(this).addClass('local');
			$lnk(this).attr('target','_self');
		}
		else if(url.slice(0, 1) == "#"){
			// It's an anchor link
			$lnk(this).addClass('anchor'); 
		}
		else {
			// a link that does not contain the current host
			$lnk(this).addClass('external');
			$lnk(this).attr('target','_blank');                        
		}
	});
});
</script>


<!-- Sticky posts icon -->
<script type="text/javascript">
var $sticky = jQuery.noConflict();
$sticky(document).ready(function(){
	$sticky('.blog .sticky h2').prepend('<i class="fa fa-thumb-tack"></i>');
});
</script>


<!-- Smooth scrolling -->
<script type="text/javascript">
var $ml = jQuery.noConflict();
$ml(document).ready(function(){
	$ml('.nav-smooth .main-menu a').smoothScroll( {
		speed: 700,
		offset: -75
	});
});
</script>

<!-- Fixed top menu -->
<script type="text/javascript">
var $fix = jQuery.noConflict();
$fix(window).scroll(function(){
	$headerheight = $fix('#header, #header-box');
	$logoheight = $fix('#logo img');
    if ($fix(document).scrollTop() > 75) {
        if ($headerheight.hasClass('bigheader')) {
            $headerheight.addClass('smallheader');
			$logoheight.addClass('small-logo');
        }
    } else {
        if ($headerheight.hasClass('smallheader')) {
			$headerheight.removeClass('smallheader');
			$logoheight.removeClass('small-logo');
        }  
    }
});
</script>


<!-- Blockquotes -->
<script type="text/javascript">
var $blockq = jQuery.noConflict();
$blockq(document).ready(function(){
	$blockq('blockquote').prepend('<i class="fa fa-quote-right blockquote-sign"></i>');
});
</script>


<!-- Trigger mobile menu -->
<script type="text/javascript">
var $mobmen = jQuery.noConflict();
var Mobmenu = function() {
	$mobmen('#mobile-menu-sign').click(function() {
		$mobmen('#nav-primary').toggle(300,'swing');
	});
}
var Navmenu = function() {	
	if ( $mobmen(window).width() > 767 ) {
		$mobmen('#nav-primary').show();
	}
}
$mobmen(document).ready(function(){
	Mobmenu();
});
$mobmen(window).resize(function(){
	Navmenu();
});
</script>


<!-- Parallax effect -->
<?php
if ( is_string ( kanso_sd_get_option_tree('parallax_rate') ) ) {
	$kanso_sd_parallax_rate = kanso_sd_get_option_tree('parallax_rate');
} else {
	$kanso_sd_parallax_rate = 0.3;
}
?>
<script type="text/javascript">
var $parallax = jQuery.noConflict();
$parallax(window).scroll(function() {
	if ( $parallax(window).width() > 1024 ) {
		$parallax('.parallax').each(function() {
			var offset = $parallax(this).offset();
			var bottompos = offset.top - $parallax(document).scrollTop() - $parallax(window).height();
			$parallax(this).css('background-position','center '+(bottompos*<?php echo $kanso_sd_parallax_rate; ?>)+'px');
		});
	}
});
</script>


<!-- Page styling -->
<?php 
if ( is_page() && !is_page_template('page_one-page.php') ) { 
	$kanso_sd_page_background_color = get_post_meta( $post->ID, '_cmb_page_background_color', true );
	$kanso_sd_page_background_image = get_post_meta( $post->ID, '_cmb_page_background_image', true );
	$kanso_sd_page_background_repeat = get_post_meta( $post->ID, '_cmb_page_background_repeat', true );
	$kanso_sd_page_heading_color = get_post_meta( $post->ID, '_cmb_page_heading_color', true );
	$kanso_sd_page_body_color = get_post_meta( $post->ID, '_cmb_page_body_color', true );
	$kanso_sd_page_background_color = get_post_meta( $post->ID, '_cmb_page_background_color', true );
	$kanso_sd_page_background_image = get_post_meta( $post->ID, '_cmb_page_background_image', true );
	if ( get_post_meta( $post->ID, '_cmb_page_background_repeat', true ) == 'repeat' ) {
		$kanso_sd_page_background_repeat = 'repeat';	
	} else {
		$kanso_sd_page_background_repeat = 'no-repeat';	
	}
	$kanso_sd_page_heading_color = get_post_meta( $post->ID, '_cmb_page_heading_color', true );
	$kanso_sd_page_body_color = get_post_meta( $post->ID, '_cmb_page_body_color', true );
	?>
	<style type="text/css"> 
		#main-body { 
			background-color: <?php echo $kanso_sd_page_background_color; ?>;
			<?php if (!get_post_meta( $post->ID, '_cmb_page_parallax_bck', true )) { echo 'background-size: cover;'; } ?>
		}
		#main-body , 
		#main-body a { 
			color: <?php echo $kanso_sd_page_body_color; ?>;  
		}
		#main-body .page-heading h1 a { 
			color: <?php echo $kanso_sd_page_heading_color; ?>; 
			border-color: <?php echo $kanso_sd_page_heading_color; ?>; 
		}
		#main-body h2, 
		#main-body h3, 
		#main-body h4, 
		#main-body h5, 
		#main-body h6 {
			color: <?php echo $kanso_sd_page_heading_color; ?>;	
		}
		#main-body-<?php echo $post->ID; ?> { 
			background-image: url('<?php echo $kanso_sd_page_background_image; ?>'); 
			background-repeat: <?php echo $kanso_sd_page_background_repeat; ?> ; 
			<?php if ( $kanso_sd_page_background_repeat == 'no-repeat' ) { echo 'background-size: cover;'; } ?> 
		}
	</style> 
<?php } ?>


<!-- Main menu item highlights on scroll -->
<?php if (is_page_template('page_one-page.php')) { ?>
<script type="text/javascript">
var $menuscroll = jQuery.noConflict();
var Menuborder = function(){
	$menuscroll('#nav-primary ul li').each(function() { 
		var elem = $menuscroll(this);
		var menuitemnum = elem.attr('id').slice(10);
		var menuitemid = 'page-holder-' + menuitemnum;
		var offsetpagetop = $menuscroll('#' + menuitemid);
		if (offsetpagetop.length > 0 ) {
			var offsetpagebegin = offsetpagetop.offset().top - 80;
			if (offsetpagetop.next().length > 0 ) {
				var offsetpagenext = offsetpagetop.next();
				var offsetpageend = offsetpagenext.offset().top - 80;
				if ($menuscroll('body').scrollTop() > offsetpagebegin && $menuscroll('body').scrollTop() < offsetpageend) {
					elem.children('a').addClass('menu-selected');
				} else {
					elem.children('a').removeClass('menu-selected');
				}
			} else {
				if ($menuscroll('body').scrollTop() > offsetpagebegin) {
					elem.children('a').addClass('menu-selected');
				} else {
					elem.children('a').removeClass('menu-selected');
				}
			}
		}
	});
}
$menuscroll(window).ready(function(){
	Menuborder();	
});
$menuscroll(window).scroll(function(){
	Menuborder();	
});
</script>
<?php } ?>